---
title: Update
url: https://www.tines.com/stories/docs/api/cases/case_inputs/update/
updated: 2026-09-02T13:11:18+00:00
description: Updates a field on a team.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/stories/docs/llms.txt) › [Tines API](https://www.tines.com/stories/docs/api/llms.txt) › [Cases](https://www.tines.com/llm/stories/docs/api/cases.md) › [Fields](https://www.tines.com/llm/stories/docs/api/cases/case_inputs.md)*

# Update

*[View on tines.com](https://www.tines.com/stories/docs/api/cases/case_inputs/update/)*

## Description

Updates a field on a team.

The field type and team cannot be changed after the field is created.

See the [Get Field API](/api/cases/case_inputs/get) to learn more about fields.

## Request

HTTP Method: **PUT**

| Parameter          | Description                                                                                                                                |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------ |
| field_id           | The ID of the field to update.                                                                                                             |
| name               | **Optional** A new name for the field.                                                                                                     |
| sensitive          | **Optional** A boolean (`true` or `false`) indicating whether the sensitive field permission is required to read or write this field.      |
| validation_type    | **Optional** The validation type for the field. One of `none`, `options`, or `regex`. Use `options` and `regex` only with `string` fields. |
| validation_options | **Optional** Validation options for the field. For `options`, provide an array of values. For `regex`, provide a regex pattern string.     |
| group_name         | **Optional** The name of the group to assign the field to. Set this parameter to `null` to remove the field from its current group.        |

### Sample request

```bash
curl -X PUT \
  https://<tenant-domain>/api/v2/case_inputs/<<field_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "name": "Operating system",
        "sensitive": false,
        "validation_type": "options",
        "validation_options": {
          "options": [
            "Windows",
            "macOS",
            "Linux"
          ]
        },
        "group_name": "System details"
      }'
```

## Response

A successful request will return a JSON object describing the updated field.

### Field description

| Parameter             | Description                                                                                                               |
| --------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| id                    | The field ID.                                                                                                             |
| name                  | The name of the field.                                                                                                    |
| key                   | The lookup key of the field.                                                                                              |
| input_type            | The type of the field.                                                                                                    |
| sensitive             | A boolean (`true` or `false`) indicating whether the sensitive field permission is required to read or write this field.  |
| validation_type       | The validation type of the field. One of `none`, `options`, or `regex`.                                                   |
| validation_options    | An object containing validation configuration. For `options` type, contains an `options` array of accepted string values. |
| team                  | An object containing the ID and name of the team the field belongs to.                                                    |
| team_case_input_group | An object containing the name of the group the field belongs to, if any.                                                  |
| created_at            | An ISO 8601 timestamp representing when the field was created.                                                            |
| updated_at            | An ISO 8601 timestamp representing when the field was last updated.                                                       |

### Sample response

```json
{
  "id": 21405,
  "name": "Operating system",
  "key": "operating_system",
  "input_type": "string",
  "sensitive": false,
  "validation_type": "options",
  "validation_options": {
    "options": ["Windows", "macOS", "Linux"]
  },
  "team": {
    "id": 1,
    "name": "Engineering"
  },
  "team_case_input_group": {
    "name": "System details"
  },
  "created_at": "2022-06-24T08:35:21Z",
  "updated_at": "2026-09-01T15:52:00Z"
}
```
